Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86429 - OProfile driver gets incorrect app name
Summary: OProfile driver gets incorrect app name
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-21 20:35 UTC by William Cohen
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version: Taroon
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-07 21:11:30 UTC


Attachments (Terms of Use)
patch to correct order of evaluation problem in oprofile driver (deleted)
2003-03-21 20:36 UTC, William Cohen
no flags Details | Diff

Description William Cohen 2003-03-21 20:35:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
There is a evaluation order problem in the test to determine the application
name from the mm. The patch requires addition of "()"s to a test to correct the
order of evaulation.  The patch based on  2.5.65 is attached.

Version-Release number of selected component (if applicable):
oprofile-0.5.1-11

How reproducible:
Always

Steps to Reproduce:
1. Use SMP kernel (this is on p4 machine)
2. opcontrol --setup --vmlinux=/boot/vmlinux-`uname -r`
--ctr0-event=GLOBAL_POWER_EVENTS --ctr0-unit-mask=1 --ctr0-count=1200000
--separate=library
  opcontrol --start
3. start x (XFree executable causes problems)
    

Actual Results:  There will be sample files in /var/lib/oprofile/samples with
"}dev}mem" in the name.  This indicates there are are samples for /dev/mem,
which is not correct. 

Expected Results:  No samples with "}dev}mem" in the name in
/var/lib/oprofile/samples. Samples should be for Xfree.

Additional info:

Comment 1 William Cohen 2003-03-21 20:36:37 UTC
Created attachment 90689 [details]
patch to correct order of evaluation problem in oprofile driver


Note You need to log in before you can comment on or make changes to this bug.